Bug 106083 - P2FS queue processing should be disabled for pollDelay _or_ startupDelay == 0
P2FS queue processing should be disabled for pollDelay _or_ startupDelay == 0
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2003-10-02 12:32 EDT by Scott Seago
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 10:35:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Seago 2003-10-02 12:32:54 EDT
Description of problem:
If p2fs pollDelay is set to 0, the thread polls continuously (i.e. "while
(Thread.sleep(0) {} ). In this case, polling should be disabled entirely (as is
done with startupDelay)

Version-Release number of selected component (if applicable):
6.0 and rickshaw

How reproducible:
always

Steps to Reproduce:
1. set pollDelay to 0
    
Actual results:
continuous polling

Expected results:
no polling

Additional info:
fixed on //cms/test-publishing at 36645
Comment 1 Daniel Berrange 2003-10-02 13:02:39 EDT
How about we just go one better & instead of relying on magic values, just have
an obvious

  enabled = true|false;

parameter in the p2fs confige options. I'm always having to refer to the
documentation / java code to remind myself which parameter needs to be set to
'0' to disable p2fs.
Comment 2 Scott Seago 2003-10-02 13:11:22 EDT
That sounds fine. However, at least for pollDelay, if we don't disable it when
the delay is 0, we should probably override that value with some non-zero value
to avoid constant polling.

Note You need to log in before you can comment on or make changes to this bug.